package com.javahonk.di.bean;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

public class PersonRowMapper implements RowMapper<Person>{

    @Override
    public Person mapRow(ResultSet rs, int rowRows) 
	    throws SQLException {
	Person person = new Person();
	person.setRowNumber(rowRows);
	person.setId(rs.getInt("id"));
	person.setFirst_Name(rs.getString("First_Name"));
	person.setLast_Name(rs.getString("Last_Name"));
	person.setStreet_Name(rs.getString("Street_Name"));
	person.setCity(rs.getString("City"));
	person.setState(rs.getString("State"));
	person.setCountry(rs.getString("Country"));
	return person;
    }

}
